2018-05-02 04:24 PM - Keith Jenkins
Assignee:
Affected QGIS version:3.0.2

Operating System: Windows
Pull Request or Patch supplied:
Regression?:
Easy fix?:
Resolution:

Yes
No
fixed/implemented

Copied to github as #: 26727

Description

When using the "Translate (convert format)" processing tool in QGIS 3.0.2, it is not possible to specify a NODATA value of zero. In the
tool dialog, it will add the -a_nodata parameter to the gdal_translate command for non-zero values, but omits the -a_nodata parameter

entirely when the value is 0.

In QGIS 2.18.19, the dialog had a checkbox to control whether to include the -a_nodata parameter, and it was possible to specific a zero

nodata value.

History

#1 - 2018-05-03 02:47 AM - Nyall Dawson

- Status changed from Open to In Progress

PR: https://github.com/qgis/QGIS/pull/6920

#2 - 2018-05-03 04:05 AM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from In Progress to Closed
